<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOccasionDescriptionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('occasion_descriptions', function (Blueprint $table) {
            $table->id();
            $table->string('name', 300);
            $table->unsignedBigInteger('occasion_id')->index();
            $table->unsignedBigInteger('language_id')->index();

            $table->foreign('occasion_id')->references('id')->on('occasions')->onDelete('cascade')->onUpdate('cascade');
            $table->engine = 'InnoDB';
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('occasion_descriptions');
    }
}
